Bug 725382 - (CVE-2011-2643) CVE-2011-2643 phpMyAdmin: v3.3.10.3, v3.4.3.2: Local file inclusion via a crafted MIME-type transformation parameter (PMASA-2011-10)
CVE-2011-2643 phpMyAdmin: v3.3.10.3, v3.4.3.2: Local file inclusion via a cra...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110723,reported=20110724,sou...
: Security
Depends On: 725385 725386
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-25 06:57 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-19 11:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-07-25 06:57:49 EDT
A local file inclusion flaw was found in the way phpMyAdmin, the MySQL over WWW administration tool, performed particular SQL query execution. A local attacker could use this flaw to obtain sensitive information via specially-crafted MIME-type transformation parameter.

References:
[1] http://www.phpmyadmin.net/home_page/security/PMASA-2011-10.php
[2] http://www.phpmyadmin.net/home_page/news.php

Upstream patches:
[3] http://phpmyadmin.git.sourceforge.net/git/gitweb.cgi?p=phpmyadmin/phpmyadmin;a=commitdiff;h=f63e1bb42a37401b2fdfcd2e66cce92b7ea2025c

Versions affected:
Versions 3.4.0 to 3.4.3.1 are affected. 

Further flaw exploitation details:
The phpMyAdmin's configuration storage mechanism must be configured for this attack to work.
Comment 1 Jan Lieskovsky 2011-07-25 06:59:52 EDT
This issue affects the versions of the phpMyAdmin package, as shipped with Fedora release of 14 and 15.

Please schedule an update.

--

This issue affects the version of the phpMyAdmin package, as present within EPEL-6 repository.

Please schedule an update.

--

This issue did NOT affect the versions of the phpMyAdmin package, as present within EPEL-4 and EPEL-5 repositories.
Comment 2 Jan Lieskovsky 2011-07-25 07:04:17 EDT
Created phpMyAdmin tracking bugs for this issue

Affects: fedora-all [bug 725385]
Affects: epel-6 [bug 725386]

Note You need to log in before you can comment on or make changes to this bug.